node-rollup (3.29.5-2) unstable; urgency=medium

  * Fix a FTBFS with newer acorn

 -- Bastien Roucariès <rouca@debian.org>  Mon, 23 Feb 2026 21:30:35 +0100

node-rollup (3.29.5-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.0
  * New upstream version (Closes: #1082712, CVE-2024-47068)

 -- Yadd <yadd@debian.org>  Wed, 25 Sep 2024 14:08:30 +0400

node-rollup (3.29.4-3) unstable; urgency=medium

  * patch: support any timeout return type
    This fixes build on nodejs 18.13

 -- Jérémy Lal <kapouer@melix.org>  Tue, 12 Dec 2023 12:19:31 +0100

node-rollup (3.29.4-2) unstable; urgency=medium

  * Team upload
  * Add patch for node-magic-string 0.30.5

 -- Yadd <yadd@debian.org>  Thu, 02 Nov 2023 16:40:30 +0400

node-rollup (3.29.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.29.4
  * Refresh patches

 -- Yadd <yadd@debian.org>  Thu, 02 Nov 2023 15:57:37 +0400

node-rollup (3.28.0-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Fri, 18 Aug 2023 07:48:48 +0400

node-rollup (3.28.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version 3.28.0
  * Update build modules
  * Update patches
  * Build-depends:
    + node-signal-exit >= 4
    + node-rollup-plugin-replace
    + node-rollup-plugin-commonjs >= 25
    + node-rollup-plugin-node-resolve > 15.1
  * Add ts patch for node-signal-exit >= 4.1
  * Disable patches: dont-fail-on-warn.diff and
    dont-fail-on-circular-dependencies.patch

 -- Yadd <yadd@debian.org>  Tue, 15 Aug 2023 14:30:08 +0400

node-rollup (3.15.0-2) unstable; urgency=medium

  * Team upload
  * Add patch for node-magic-string >= 0.30

 -- Yadd <yadd@debian.org>  Sun, 16 Jul 2023 09:05:48 +0400

node-rollup (3.15.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.15.0

 -- Yadd <yadd@debian.org>  Fri, 17 Feb 2023 12:18:18 +0400

node-rollup (3.12.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.12.0
  * Refresh patches

 -- Yadd <yadd@debian.org>  Tue, 31 Jan 2023 08:20:19 +0400

node-rollup (3.10.0-1) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.2, no changes needed.
  * New upstream version 3.10.0
  * Refresh patches
  * Build dependencies: replace sourcemap-codec by @jridgewell/sourcemap-codec

 -- Yadd <yadd@debian.org>  Thu, 19 Jan 2023 13:11:05 +0400

node-rollup (3.9.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.9.1
  * Add missing dependency to build modules
  * Refresh patches
  * Remove unused patch
  * Add builtin-modules dependency to extlinks
  * Add lintian overrides
  * Update debian/copyright

 -- sandra uwah <sandrauwah282@gmail.com>  Wed, 04 Jan 2023 20:53:50 +0100

node-rollup (3.7.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.7.5

 -- Yadd <yadd@debian.org>  Sat, 17 Dec 2022 13:55:35 +0100

node-rollup (3.7.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.7.3

 -- Yadd <yadd@debian.org>  Mon, 12 Dec 2022 18:05:57 +0100

node-rollup (3.7.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.7.2
  * Drop hardcode-version.patch

 -- Yadd <yadd@debian.org>  Sun, 11 Dec 2022 11:55:11 +0100

node-rollup (3.7.0-1) unstable; urgency=medium

  * Team upload
  * Update lintian override info format in d/source/lintian-overrides on line 3-4.
  * Don't download beta versions
  * New upstream version 3.7.0

 -- Yadd <yadd@debian.org>  Fri, 09 Dec 2022 20:59:17 +0100

node-rollup (3.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.4.0
  * Refresh patches

 -- Yadd <yadd@debian.org>  Tue, 22 Nov 2022 10:22:44 +0100

node-rollup (3.3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.3.0
  * Back to unstable

 -- Yadd <yadd@debian.org>  Mon, 14 Nov 2022 06:00:32 +0100

node-rollup (3.3.0~beta~0-1) experimental; urgency=medium

  * Team upload
  * New upstream version 3.3.0~beta~0
  * Refresh patches
  * Build: don't fail on circular dependencies

 -- Yadd <yadd@debian.org>  Wed, 09 Nov 2022 08:26:29 +0100

node-rollup (3.2.5-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Thu, 03 Nov 2022 05:50:35 +0100

node-rollup (3.2.5-1) experimental; urgency=medium

  * Team upload
  * New upstream version 3.2.5
  * Refresh patches

 -- Yadd <yadd@debian.org>  Wed, 02 Nov 2022 09:51:51 +0100

node-rollup (3.2.3-1) experimental; urgency=medium

  * Team upload
  * New upstream version 3.2.3
  * Refresh patches

 -- Yadd <yadd@debian.org>  Mon, 24 Oct 2022 10:25:52 +0200

node-rollup (3.0.0~beta~8-1) experimental; urgency=medium

  * Team upload
  * Update debian/watch to accept beta releases
  * New upstream version 3.0.0~beta~8
  * Refresh patches
  * Add more links to installed modules since rollup config is a mjs file
  * Update tests

 -- Yadd <yadd@debian.org>  Tue, 11 Oct 2022 17:09:05 +0200

node-rollup (2.79.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.79.1
  * Refresh patches
  * Update for recent @rollup/plugin-node-resolve

 -- Yadd <yadd@debian.org>  Fri, 23 Sep 2022 19:37:35 +0200

node-rollup (2.79.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.79.0
  * Refresh patches

 -- Yadd <yadd@debian.org>  Sat, 03 Sep 2022 08:27:38 +0200

node-rollup (2.78.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.78.1

 -- Yadd <yadd@debian.org>  Tue, 23 Aug 2022 11:50:55 +0200

node-rollup (2.78.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.78.0
  * Refresh patches

 -- Yadd <yadd@debian.org>  Mon, 15 Aug 2022 06:59:40 +0200

node-rollup (2.77.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.77.2
  * Refresh patches

 -- Yadd <yadd@debian.org>  Fri, 29 Jul 2022 16:24:49 +0200

node-rollup (2.77.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.77.0
  * Refresh patches
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Sun, 17 Jul 2022 17:45:28 +0200

node-rollup (2.76.0-1) unstable; urgency=medium

  * Team upload
  * Update lintian overrides
  * New upstream version 2.76.0
  * Refresh patches

 -- Yadd <yadd@debian.org>  Sat, 09 Jul 2022 09:06:56 +0200

node-rollup (2.75.7-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.75.7
  * Refresh patches

 -- Yadd <yadd@debian.org>  Thu, 23 Jun 2022 08:43:40 +0200

node-rollup (2.75.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.75.6
  * Refresh patches

 -- Yadd <yadd@debian.org>  Thu, 09 Jun 2022 09:19:04 +0200

node-rollup (2.75.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.75.5
  * Refresh patches

 -- Yadd <yadd@debian.org>  Sat, 04 Jun 2022 07:51:57 +0200

node-rollup (2.75.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.75.3
  * Refresh patches

 -- Yadd <yadd@debian.org>  Mon, 30 May 2022 18:29:08 +0200

node-rollup (2.74.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.74.1
  * Refresh patches

 -- Yadd <yadd@debian.org>  Sun, 22 May 2022 07:19:31 +0200

node-rollup (2.73.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.73.0
  * Refresh patches

 -- Yadd <yadd@debian.org>  Sat, 14 May 2022 08:01:47 +0200

node-rollup (2.72.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.72.1
  * Refresh patches
  * Launch part of upstream test using mocha (autopkgtest only)
  * Declare compliance with policy 4.6.1

 -- Yadd <yadd@debian.org>  Fri, 13 May 2022 15:16:33 +0200

node-rollup (2.71.1-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Tue, 10 May 2022 06:32:58 +0200

node-rollup (2.71.1-1) experimental; urgency=medium

  * Team upload
  * Apply multi-arch hints (foreign)
  * New upstream version 2.71.1
  * Refresh patches
  * Drop tsc patch

 -- Yadd <yadd@debian.org>  Tue, 03 May 2022 18:06:23 +0200

node-rollup (2.70.2-2) unstable; urgency=medium

  * Team upload
  * Back to unstable after successful tests. Many thanks to Jérémy Lal for the
    massive rebuilds!

 -- Yadd <yadd@debian.org>  Fri, 29 Apr 2022 10:50:56 +0200

node-rollup (2.70.2-1) experimental; urgency=medium

  * Team upload
  * New upstream version 2.70.2
  * Refresh build modules
  * Refresh patches
  * Update build
  * Drop dependencies: package is a bundle

 -- Yadd <yadd@debian.org>  Thu, 28 Apr 2022 15:08:49 +0200

node-rollup (2.61.1-6) unstable; urgency=medium

  * Team upload
  * Update tsc workarounds (Closes: #1007856)

 -- Yadd <yadd@debian.org>  Sat, 19 Mar 2022 07:48:24 +0100

node-rollup (2.61.1-5) unstable; urgency=medium

  * Team upload
  * Fix es build

 -- Yadd <yadd@debian.org>  Fri, 17 Dec 2021 12:22:36 +0100

node-rollup (2.61.1-4) unstable; urgency=medium

  * Team upload
  * Build es files

 -- Yadd <yadd@debian.org>  Fri, 17 Dec 2021 11:19:54 +0100

node-rollup (2.61.1-3) unstable; urgency=medium

  * Team upload
  * Install upstream doc
  * Don't install (big) source-maps
  * Back to unstable

 -- Yadd <yadd@debian.org>  Thu, 16 Dec 2021 06:31:10 +0100

node-rollup (2.61.1-2) experimental; urgency=medium

  * Team upload
  * Update tsc patch to be able to build with current rollup (2.42.1)

 -- Yadd <yadd@debian.org>  Wed, 15 Dec 2021 16:51:22 +0100

node-rollup (2.61.1-1) experimental; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Yadd ]
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle
  * Update nodejs dependency to nodejs:any
  * New upstream version 2.61.1
  * Refresh patches
  * Update build and add pkg.node-rollup.npm profile
  * Update lintian overrides
  * Binary upload due to circular dependency to itself

 -- Yadd <yadd@debian.org>  Wed, 15 Dec 2021 16:28:01 +0100

node-rollup (2.42.1-2) unstable; urgency=medium

  * Team upload
  * Back to unstable
  * Add node-chokidar in suggested dependencies (Closes: #987154)

 -- Yadd <yadd@debian.org>  Sun, 15 Aug 2021 11:45:45 +0200

node-rollup (2.42.1-1) experimental; urgency=medium

  * Team upload
  * Update GitHub tags regex
  * New upstream version 2.42.1
  * Refresh patches

 -- Yadd <yadd@debian.org>  Mon, 22 Mar 2021 05:47:58 +0100

node-rollup (2.41.5-1) experimental; urgency=medium

  * Team upload
  * New upstream version 2.41.5
  * Refresh patches

 -- Yadd <yadd@debian.org>  Thu, 18 Mar 2021 07:46:45 +0100

node-rollup (2.41.2-1) experimental; urgency=medium

  * Team upload
  * New upstream version 2.41.2
  * Refresh patches

 -- Yadd <yadd@debian.org>  Sun, 14 Mar 2021 12:04:04 +0100

node-rollup (2.40.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version 2.40.0
  * Refresh patches

 -- Yadd <yadd@debian.org>  Tue, 02 Mar 2021 06:47:16 +0100

node-rollup (2.38.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.38.4
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Tue, 02 Feb 2021 15:00:27 +0100

node-rollup (2.38.1-1) unstable; urgency=medium

  * Team upload
  * Remove useless build dependency to node-jest-worker
  * New upstream version 2.38.1
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Fri, 29 Jan 2021 08:17:34 +0100

node-rollup (2.38.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.38.0
  * Refresh patches
  * Replace embedded jest-worker, rollup-plugin-terser, serialize-javascript
    by build dependencies to related packages
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Mon, 25 Jan 2021 10:59:35 +0100

node-rollup (2.37.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.37.1
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Fri, 22 Jan 2021 12:01:14 +0100

node-rollup (2.36.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.36.2

 -- Xavier Guimard <yadd@debian.org>  Sat, 16 Jan 2021 11:55:51 +0100

node-rollup (2.35.1-1) unstable; urgency=medium

  * Team upload
  * Replace embedded colorette by dependency to node-colorette
  * New upstream version 2.35.1
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Mon, 04 Jan 2021 16:12:08 +0100

node-rollup (2.34.1-5) unstable; urgency=medium

  * Source only upload to unstable (binary uploaded was required to bootstrap
    as node-rollup-plugin-node-resolve added a Breaks for older rollup)

 -- Pirate Praveen <praveen@debian.org>  Fri, 01 Jan 2021 13:50:07 +0530

node-rollup (2.34.1-4) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Fri, 01 Jan 2021 13:02:00 +0530

node-rollup (2.34.1-3) experimental; urgency=medium

  * Drop deprecated CustomResolveOptions from node-resolve plugin configuration
    (update minimum version of node-rollup-plugin-node-resolve to 11)

 -- Pirate Praveen <praveen@debian.org>  Thu, 31 Dec 2020 14:06:18 +0530

node-rollup (2.34.1-2) unstable; urgency=medium

  * Change node-acorn to node-debbundle-acorn in Depends too

 -- Pirate Praveen <praveen@debian.org>  Fri, 11 Dec 2020 17:00:13 +0530

node-rollup (2.34.1-1) unstable; urgency=medium

  * Team upload
  * Add ctype=nodejs to component(s)
  * New upstream version 2.34.1
  * Refresh patch

 -- Xavier Guimard <yadd@debian.org>  Sat, 05 Dec 2020 12:13:42 +0100

node-rollup (2.34.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.34.0
  * Refresh patches
  * Add build dependency to node-mkdirp ≥ 1

 -- Xavier Guimard <yadd@debian.org>  Mon, 30 Nov 2020 10:30:36 +0100

node-rollup (2.33.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.33.3
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Wed, 18 Nov 2020 18:19:05 +0100

node-rollup (2.33.2-1) unstable; urgency=medium

  * Team upload
  * Buid colorette
  * Declare compliance with policy 4.5.1
  * New upstream version 2.33.2
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Wed, 18 Nov 2020 06:57:24 +0100

node-rollup (2.33.1-1) unstable; urgency=medium

  * Team upload
  * Fix field name case in debian/tests/control (Test-command => Test-Command)
  * Set upstream metadata fields: Bug-Submit
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright)
  * New upstream version 2.33.1
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Thu, 12 Nov 2020 12:32:09 +0100

node-rollup (2.32.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.32.1

 -- Xavier Guimard <yadd@debian.org>  Fri, 23 Oct 2020 17:48:31 +0200

node-rollup (2.32.0-1) unstable; urgency=medium

  * Team upload
  * Clean duplicate colorette
  * Update @rollup/plugin-commonjs dependency version
  * New upstream version 2.32.0
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Mon, 19 Oct 2020 11:30:54 +0200

node-rollup (2.28.2-3) unstable; urgency=medium

  * Team upload
  * Use dh-sequence-nodejs
  * Fix rollup-plugin-commonjs path during build

 -- Xavier Guimard <yadd@debian.org>  Sat, 10 Oct 2020 22:35:16 +0200

node-rollup (2.28.2-2) unstable; urgency=medium

  * Team upload
  * Back to unstable after successful tests
  * Install typescript types
  * Import 1.32.1-3 changes

 -- Xavier Guimard <yadd@debian.org>  Mon, 05 Oct 2020 14:31:33 +0200

node-rollup (2.28.2-1) experimental; urgency=medium

  * Team upload
  * Add build dependency to node-rollup-plugin-string
  * Add build dependency to rollup
  * Component: replace turbocolor by colorette
  * New upstream version 2.28.2
  * Dependencies:
    + add build dependency to rollup itself
    + add build dependency to node-rollup-plugin-string
    + update rollup dependencies to have @rollup/plugin*
  * Patches
    + refresh patches
    + add patches to fix rollup build
    + add patch to avoid acorn embedding
  * Update build, this embeds the following modules for build only:
    commenting, jest-worker, package-name-regex, rollup-plugin-license,
    rollup-plugin-terser, serialize-javascript, spdx-compare,
    spdx-expression-validate, spdx-ranges, spdx-satisfies
  * Update test
  * Update lintian overrides
  * Add "rebuild itself" autopkgtest test
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Thu, 01 Oct 2020 14:36:01 +0200

node-rollup (1.32.1-3) unstable; urgency=medium

  * Check if rollup command exist instead of require rollup check in
    debian/tests/pkg-js/test as pkg-js-tools now creates node_modules/rollup
    symbolic link and require test will pass but rollup command will not be
    found (fixes ftbs).

 -- Pirate Praveen <praveen@debian.org>  Sun, 04 Oct 2020 23:29:09 +0530

node-rollup (1.32.1-2) unstable; urgency=medium

  * Team upload
  * Back to unstable after successful tests
  * Indicates that rollup breaks:
    + node-rollup-plugin-commonjs < 10.0.1+really.9.2.0-12~
    + node-rollup-plugin-replace  < 2.2.0-6~
  * Remove broken link to source-map-resolve

 -- Xavier Guimard <yadd@debian.org>  Tue, 22 Sep 2020 22:19:48 +0200

node-rollup (1.32.1-1) experimental; urgency=medium

  * Team upload

  [ Pirate Praveen ]
  * Update minimum version of node-rollup-pluginutils

  [ Xavier Guimard ]
  * Update debian/watch to get last 1.x release
  * New upstream version 1.32.1
  * Refresh patches
  * Update build & paths
  * Require node-sourcemap-codec ≥ 1.4.8-2~ to have its types declarations
  * Update lintian overrides
  * Install typescript types

 -- Xavier Guimard <yadd@debian.org>  Mon, 21 Sep 2020 14:26:31 +0200

node-rollup (1.12.2-1) experimental; urgency=medium

  * Team upload
  * Refresh patches
  * Update d/watch to 1.12.2
  * New upstream version 1.12.2
  * Update patches

 -- Xavier Guimard <yadd@debian.org>  Thu, 02 Apr 2020 13:04:02 +0200

node-rollup (1.12.0-3) unstable; urgency=medium

  * Team upload
  * Add fix for typescript ≥ 4 (Closes: #970651)
  * Bump debhelper compatibility level to 13

 -- Xavier Guimard <yadd@debian.org>  Mon, 21 Sep 2020 13:30:30 +0200

node-rollup (1.12.0-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Xavier Guimard <yadd@debian.org>  Thu, 02 Apr 2020 11:11:10 +0200

node-rollup (1.12.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version 1.12.0
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Mon, 30 Mar 2020 13:37:21 +0200

node-rollup (1.11.3-1) unstable; urgency=medium

  * Team upload
  * Update debian/watch to step 1.12.0
  * New upstream version 1.11.3
  * Refresh patches
  * Use pkg-js-tools auto links
  * Remove useless break agains node-rollup-plugin-alias ≤ 1.5.2-2~

 -- Xavier Guimard <yadd@debian.org>  Mon, 30 Mar 2020 12:58:34 +0200

node-rollup (1.11.2-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Xavier Guimard <yadd@debian.org>  Mon, 30 Mar 2020 12:29:13 +0200

node-rollup (1.11.2-1) experimental; urgency=medium

  * Team upload
  * New upstream version 1.11.2
  * Refresh patches
  * Update version in patches
  * Require node-pretty-ms ≥ 6.0.1

 -- Xavier Guimard <yadd@debian.org>  Sat, 28 Mar 2020 08:22:47 +0100

node-rollup (1.10.1-5) unstable; urgency=medium

  * Team upload
  * Remove also node-acorn-dynamic-import from binary dependency

 -- Xavier Guimard <yadd@debian.org>  Sat, 21 Mar 2020 10:11:10 +0100

node-rollup (1.10.1-4) unstable; urgency=medium

  * Team upload
  * Remove useless debian/dirs
  * Remove duplicate dependencies to virtual packages provided by node-acorn:
    this blocks many migrations

 -- Xavier Guimard <yadd@debian.org>  Sat, 21 Mar 2020 09:58:41 +0100

node-rollup (1.10.1-3) unstable; urgency=medium

  * Team upload
  * Back to unstable
  * Declare compliance with policy 4.5.0
  * Fix patches description
  * Add "Provides: node-rollup"
  * Update lintian overrides
  * Fix build
  * Fix copyright

 -- Xavier Guimard <yadd@debian.org>  Fri, 13 Mar 2020 14:45:47 +0100

node-rollup (1.10.1-2) experimental; urgency=medium

  * Merge unstable to experimental

 -- Bastien Roucariès <rouca@debian.org>  Mon, 24 Feb 2020 22:55:23 +0100

node-rollup (1.10.1-1) experimental; urgency=medium

  * Update watch file to match newer releases
  * New upstream version 1.10.1 (Closes: #942200)
  * Use debian/nodejs/extlinks for creating node_modules links
  * Tighten build dependency on node-typescript-types (for micromatch)
  * Add estree-walker to extlinks
  * Refresh patches and use exports instead of files from rollup-pluginutils
  * Tighten dependency on node-rollup-pluginutils for new api and typings
  * Update lintian overrides

 -- Pirate Praveen <praveen@debian.org>  Tue, 15 Oct 2019 16:26:28 +0530

node-rollup (1.0.2-1) experimental; urgency=medium

  * New upstream version 1.0.2 (Closes: #942169)
  * Tighten dependency on node-acorn to use acorn 6.x
  * Use type definitions from node-acorn package
  * Drop acorn-import-meta component
  * Update lintian overrides

 -- Pirate Praveen <praveen@debian.org>  Fri, 11 Oct 2019 17:11:02 +0530

node-rollup (0.68.2+ds-4) unstable; urgency=medium

  * Breaks with older node-rollup-plugin-babel now recompiled

 -- Bastien Roucariès <rouca@debian.org>  Mon, 24 Feb 2020 22:42:24 +0100

node-rollup (0.68.2+ds-3) unstable; urgency=medium

  * Allow older node-rollup-plugin-babel in order to compile
    buble.

 -- Bastien Roucariès <rouca@debian.org>  Sat, 22 Feb 2020 01:09:17 +0100

node-rollup (0.68.2+ds-2) unstable; urgency=medium

  * Fix a too strict depends on node-acorn

 -- Bastien Roucariès <rouca@debian.org>  Sat, 22 Feb 2020 00:05:28 +0100

node-rollup (0.68.2+ds-1) unstable; urgency=medium

  * Build with acorn 6
  * Drop acorn-import-meta component
  * Fix a few lintian warnings

 -- Bastien Roucariès <rouca@debian.org>  Fri, 21 Feb 2020 21:01:34 +0100

node-rollup (0.68.2-2) unstable; urgency=medium

  * Reupload to unstable
  * Tighten dependency on node-magic-string
  * Drop compat file, rely on debhelper-compat

 -- Pirate Praveen <praveen@debian.org>  Thu, 10 Oct 2019 20:35:51 +0530

node-rollup (0.68.2-1) experimental; urgency=medium

  * New upstream version 0.68.2
  * Refresh patches (remove typescript-2-to-3.patch)
  * Add turbocolor, acorn-import-meta as components
  * Create node_modules during build only if not present
  * Patch to explicitly typecast for number to string conversion
  * Hardcode version in more files
  * Update links file for source-map-resolve
  * Add node-pretty-bytes, node-hash.js to dependencies
  * Add a test to verify hardcoded version is correct
  * Setup node_modules/rollup symbolic link for tests
  * Update lintian overrides
  * Bump Standards-Version to 4.4.1 (no changes needed)
  * Add a simple bundling test
  * Update description with text from current README.md
  * Read version for man page from package.json
  * Clean files left over by failed tests
  * Add a default export for src/node-entry.ts

 -- Pirate Praveen <praveen@debian.org>  Wed, 09 Oct 2019 19:20:11 +0530

node-rollup (0.56.3-2) unstable; urgency=medium

  * Hard code version in help.md
  * Formatting fixes for using marked-man with help.md
  * Install help.md as documentation
  * Use marked-man to generate manpage
  * Mention help.md path and man rollup command for rollup --help

 -- Pirate Praveen <praveen@debian.org>  Fri, 04 Oct 2019 16:43:00 +0530

node-rollup (0.56.3-1) experimental; urgency=medium

  * New upstream version 0.56.3
  * Remove patch to use babel (now buble is used only for tests)
  * Update dependencies (drop dependency on node-rollup-plugin-*, required
    plugin should be added to build dependency of the respective package)
  * Fix typescript errors during build (thanks to Jishnu Mohan)
  * Hacks to disable .md and package.json handling
  * Compat link for modules embedded in node-css (Workaround till node-css is
    fixed)
  * Simplify build, directly call tsc and rollup (switch to pkg-js-tools)
  * Drop autopkgtest (we are not doing full build now)

 -- Pirate Praveen <praveen@debian.org>  Mon, 30 Sep 2019 16:45:43 +0530

node-rollup (0.53.0-1) unstable; urgency=medium

  * New upstream version

 -- Bastien Roucariès <rouca@debian.org>  Fri, 27 Sep 2019 16:21:28 +0200

node-rollup (0.52.0-1) unstable; urgency=medium

  [ Julien Puydt ]
  * Point homepage to what upstream says (Closes: #883954).

  [ Pirate Praveen ]
  * New upstream version 0.52.0
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Add node-immutable as build and runtime dependency
  * Switch to pkg-js-tools and install in /usr/share

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.0
  * Add debian/gbp.conf
  * Add upstream/metadata

 -- Pirate Praveen <praveen@debian.org>  Thu, 26 Sep 2019 14:33:38 +0530

node-rollup (0.50.0-6) unstable; urgency=medium

  * Allow stderr for debci

 -- Bastien Roucariès <rouca@debian.org>  Tue, 01 Jan 2019 22:48:14 +0100

node-rollup (0.50.0-5) unstable; urgency=medium

  * Add depends on node-rollup-plugin-babel
  * Add myself as uploader.

 -- Bastien Roucariès <rouca@debian.org>  Tue, 01 Jan 2019 15:31:01 +0100

node-rollup (0.50.0-4) unstable; urgency=medium

  * Source upload. Now node-rollup is likely working.

 -- Bastien Roucariès <rouca@debian.org>  Mon, 31 Dec 2018 22:49:14 +0100

node-rollup (0.50.0-3) unstable; urgency=medium

  * Use babel instead of broken buble for compilation
  * Use staged compulation.

 -- Bastien Roucariès <rouca@debian.org>  Mon, 31 Dec 2018 16:00:33 +0100

node-rollup (0.50.0-2) unstable; urgency=medium

  [ juggernaut451 ]
  * Patch added to convert ES modules to CJS (skips self build dependency)
    (Closes: #892133, #892742)

  [ Pirate Praveen ]
  * Update main entry in package.json and install rollup command
  * Bump debhelper compatibility level to 11
  * Bump Standards-Version to 4.2.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Thu, 25 Oct 2018 18:41:16 +0530

node-rollup (0.50.0-1) unstable; urgency=medium

  [ Julien Puydt ]
  * New upstream release
  * Bump dh compat to version 10
  * Bump d/watch to version 4
  * Use system node-rollup-plugin-buble

  [ Pirate Praveen ]
  * Bump std-ver to 4.1.3
  * Move to main (all dependencies are in main and rollup can build itself with
    initial bootstrap of a binary included upload)

 -- Pirate Praveen <praveen@debian.org>  Sat, 20 Jan 2018 15:02:08 +0530

node-rollup (0.47.4-3) unstable; urgency=medium

  * Use rollup from system to build

 -- Pirate Praveen <praveen@debian.org>  Tue, 19 Sep 2017 21:38:42 +0530

node-rollup (0.47.4-2) unstable; urgency=medium

  * Update dependencies
  * Workaround for requiring rollup-pluginutils/src

 -- Pirate Praveen <praveen@debian.org>  Tue, 19 Sep 2017 17:14:45 +0530

node-rollup (0.47.4-1) unstable; urgency=medium

  [ Julien Puydt ]
  * New upstream release.
  * Install less node-rollup-plugin-* packages using npm in d/rules, since
  they are in Debian now.

  [ Pirate Praveen ]
  * Export HOME=/tmp suring build to make npm work in a chroot like sbuild
  * Push standards-version up to 4.1.0.
  * Add ca-certiicates to build dep, npm need it to work

 -- Pirate Praveen <praveen@debian.org>  Thu, 07 Sep 2017 16:11:50 +0530

node-rollup (0.38.0-1) experimental; urgency=low

  * Initial release (Closes: #849292)

 -- Pirate Praveen <praveen@debian.org>  Tue, 27 Dec 2016 11:57:02 +0530
